Package org.eclipse.e4.ui.css.core.impl.sac

# Class CSSSelectorFactoryImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.sac.CSSSelectorFactoryImpl

All Implemented Interfaces:
  `org.w3c.css.sac.SelectorFactory`

public class CSSSelectorFactoryImpl extends Object implements org.w3c.css.sac.SelectorFactory
This class implements the `SelectorFactory` interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.w3c.css.sac.SelectorFactory`
`INSTANCE`
The instance of this class.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CSSSelectorFactoryImpl()`
This class does not need to be instantiated.

## Method Summary

Modifier and Type
Method
Description
`org.w3c.css.sac.SimpleSelector`
`createAnyNodeSelector()`
SAC: Implements `SelectorFactory.createAnyNodeSelector()`.
`org.w3c.css.sac.CharacterDataSelector`
`createCDataSectionSelector(String data)`
SAC: Implements `SelectorFactory.createCDataSectionSelector(String)`.
`org.w3c.css.sac.DescendantSelector`
`createChildSelector(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector child)`
SAC: Implements `SelectorFactory.createChildSelector(Selector,SimpleSelector)`.
`org.w3c.css.sac.CharacterDataSelector`
`createCommentSelector(String data)`
SAC: Implements `SelectorFactory.createCommentSelector(String)`.
`org.w3c.css.sac.ConditionalSelector`
`createConditionalSelector(org.w3c.css.sac.SimpleSelector selector, org.w3c.css.sac.Condition condition)`
SAC: Implements `SelectorFactory.createConditionalSelector(SimpleSelector,Condition)`.
`org.w3c.css.sac.DescendantSelector`
`createDescendantSelector(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector descendant)`
SAC: Implements `SelectorFactory.createDescendantSelector(Selector,SimpleSelector)`.
`org.w3c.css.sac.SiblingSelector`
`createDirectAdjacentSelector(short nodeType, org.w3c.css.sac.Selector child, org.w3c.css.sac.SimpleSelector directAdjacent)`
SAC: Implements `SelectorFactory.createDirectAdjacentSelector(short,Selector,SimpleSelector)`.
`org.w3c.css.sac.ElementSelector`
`createElementSelector(String namespaceURI, String tagName)`
SAC: Implements `SelectorFactory.createElementSelector(String,String)`.
`org.w3c.css.sac.NegativeSelector`
`createNegativeSelector(org.w3c.css.sac.SimpleSelector selector)`
SAC: Implements `SelectorFactory.createNegativeSelector(SimpleSelector)`.
`org.w3c.css.sac.ProcessingInstructionSelector`
`createProcessingInstructionSelector(String target, String data)`
SAC: Implements `SelectorFactory.createProcessingInstructionSelector(String,String)`.
`org.w3c.css.sac.ElementSelector`
`createPseudoElementSelector(String namespaceURI, String pseudoName)`
SAC: Implements `SelectorFactory.createPseudoElementSelector(String,String)`.
`org.w3c.css.sac.SimpleSelector`
`createRootNodeSelector()`
SAC: Implements `SelectorFactory.createRootNodeSelector()`.
`org.w3c.css.sac.CharacterDataSelector`
`createTextNodeSelector(String data)`
SAC: Implements `SelectorFactory.createTextNodeSelector(String)`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final org.w3c.css.sac.SelectorFactory INSTANCE
The instance of this class.

## Constructor Details

### CSSSelectorFactoryImpl

protected CSSSelectorFactoryImpl()
This class does not need to be instantiated.

## Method Details

### createConditionalSelector

public org.w3c.css.sac.ConditionalSelector createConditionalSelector(org.w3c.css.sac.SimpleSelector selector, org.w3c.css.sac.Condition condition) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createConditionalSelector(SimpleSelector,Condition)`.

Specified by:
  `createConditionalSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createAnyNodeSelector

public org.w3c.css.sac.SimpleSelector createAnyNodeSelector() throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createAnyNodeSelector()`.

Specified by:
  `createAnyNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createRootNodeSelector

public org.w3c.css.sac.SimpleSelector createRootNodeSelector() throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createRootNodeSelector()`.

Specified by:
  `createRootNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createNegativeSelector

public org.w3c.css.sac.NegativeSelector createNegativeSelector(org.w3c.css.sac.SimpleSelector selector) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createNegativeSelector(SimpleSelector)`.

Specified by:
  `createNegativeSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createElementSelector

public org.w3c.css.sac.ElementSelector createElementSelector(String namespaceURI, String tagName) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createElementSelector(String,String)`.

Specified by:
  `createElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createTextNodeSelector

public org.w3c.css.sac.CharacterDataSelector createTextNodeSelector(String data) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createTextNodeSelector(String)`.

Specified by:
  `createTextNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createCDataSectionSelector

public org.w3c.css.sac.CharacterDataSelector createCDataSectionSelector(String data) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createCDataSectionSelector(String)`.

Specified by:
  `createCDataSectionSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createProcessingInstructionSelector

public org.w3c.css.sac.ProcessingInstructionSelector createProcessingInstructionSelector(String target, String data) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createProcessingInstructionSelector(String,String)`.

Specified by:
  `createProcessingInstructionSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createCommentSelector

public org.w3c.css.sac.CharacterDataSelector createCommentSelector(String data) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createCommentSelector(String)`.

Specified by:
  `createCommentSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createPseudoElementSelector

public org.w3c.css.sac.ElementSelector createPseudoElementSelector(String namespaceURI, String pseudoName) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createPseudoElementSelector(String,String)`.

Specified by:
  `createPseudoElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createDescendantSelector

public org.w3c.css.sac.DescendantSelector createDescendantSelector(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector descendant) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createDescendantSelector(Selector,SimpleSelector)`.

Specified by:
  `createDescendantSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createChildSelector

public org.w3c.css.sac.DescendantSelector createChildSelector(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector child) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createChildSelector(Selector,SimpleSelector)`.

Specified by:
  `createChildSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`

### createDirectAdjacentSelector

public org.w3c.css.sac.SiblingSelector createDirectAdjacentSelector(short nodeType, org.w3c.css.sac.Selector child, org.w3c.css.sac.SimpleSelector directAdjacent) throws org.w3c.css.sac.CSSException
SAC: Implements `SelectorFactory.createDirectAdjacentSelector(short,Selector,SimpleSelector)`.

Specified by:
  `createDirectAdjacentSelector` in interface `org.w3c.css.sac.SelectorFactory`
Throws:
  `org.w3c.css.sac.CSSException`